<?php


namespace FiloBlu\Kpi\Console\Command;

use FiloBlu\Kpi\Cron\Createviews;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputArgument;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class CreateviewsCommand extends Command
{
    protected $createviews;

    public function __construct(
        Createviews $createviews
    )
    {
        $this->createviews = $createviews;
        parent::__construct();
    }

    /**
     * {@inheritdoc}
     */
    protected function configure()
    {
        $this->setName("kpi:createviews");
        $this->setDescription("Create views KPI");
        parent::configure();
    }

    /**
     * {@inheritdoc}
     */
    protected function execute(
        InputInterface $input,
        OutputInterface $output
    ) {
        $now = new \DateTime();
        $output->writeln("Create views operation start at ".$now->format('H:i:s').". Check the log for details.");
        $this->createviews->execute();
        $now = new \DateTime();
        $output->writeln('End operation at '.$now->format('H:i:s'));
    }
}